#!/bin/sh

# This called by genscripts_extra.sh

MSP430_NAME=${EMULATION_NAME}

SCRIPT_NAME=elf32msp430
TEMPLATE_NAME=generic
EXTRA_EM_FILE=genelf
OUTPUT_FORMAT="elf32-msp430"
MACHINE=
MAXPAGESIZE=1
EMBEDDED=yes

if [ "${MSP430_NAME}" = "msp430x111" ] ; then
ARCH=msp:11
ROM_START=0xF800
ROM_SIZE=0x7FF
RAM_START=0x200
RAM_SIZE=0x7F
VECTORS_START=FFE0
fi

if [ "${MSP430_NAME}" = "msp430x1111" ] ; then
ARCH=msp:11
ROM_START=0xF800
ROM_SIZE=0x7FF
RAM_START=0x200
RAM_SIZE=0x7F
VECTORS_START=FFE0
fi

if [ "${MSP430_NAME}" = "msp430x112" ] ; then
ARCH=msp:11
ROM_START=0xF000
ROM_SIZE=0xFFF
RAM_START=0x200
RAM_SIZE=0xFF
VECTORS_START=FFE0
fi

if [ "${MSP430_NAME}" = "msp430x1121" ] ; then
ARCH=msp:11
ROM_START=0xF000
ROM_SIZE=0xFFF
RAM_START=0x200
RAM_SIZE=0xFF
VECTORS_START=FFE0
fi

if [ "${MSP430_NAME}" = "msp430x1331" ] ; then
ARCH=msp:13
ROM_START=0xE000
ROM_SIZE=0x1FFF
RAM_START=0x200
RAM_SIZE=0xFF
VECTORS_START=FFE0
fi

if [ "${MSP430_NAME}" = "msp430x1351" ] ; then
ARCH=msp:13
ROM_START=0xC000
ROM_SIZE=0x3FFF
RAM_START=0x200
RAM_SIZE=0x1FF
VECTORS_START=FFE0
fi

if [ "${MSP430_NAME}" = "msp430x311s" ] ; then
ARCH=msp:31
ROM_START=0xF800
ROM_SIZE=0x7FF
RAM_START=0x200
RAM_SIZE=0x7F
VECTORS_START=FFE0
fi

if [ "${MSP430_NAME}" = "msp430x312" ] ; then
ARCH=msp:31
ROM_START=0xF000
ROM_SIZE=0xFFF
RAM_START=0x200
RAM_SIZE=0xFF
VECTORS_START=FFE0
fi

if [ "${MSP430_NAME}" = "msp430x313" ] ; then
ARCH=msp:31
ROM_START=0xE000
ROM_SIZE=0x1FFF
RAM_START=0x200
RAM_SIZE=0xFF
VECTORS_START=FFE0
fi

if [ "${MSP430_NAME}" = "msp430x314" ] ; then
ARCH=msp:31
ROM_START=0xD000
ROM_SIZE=0x2FFF
RAM_START=0x200
RAM_SIZE=0x1FF
VECTORS_START=FFE0
fi

if [ "${MSP430_NAME}" = "msp430x315" ] ; then
ARCH=msp:31
ROM_START=0xC000
ROM_SIZE=0x3FFF
RAM_START=0x200
RAM_SIZE=0x1FF
VECTORS_START=FFE0
fi

if [ "${MSP430_NAME}" = "msp430x323" ] ; then
ARCH=msp:32
ROM_START=0xE000
ROM_SIZE=0x1FFF
RAM_START=0x200
RAM_SIZE=0xFF
VECTORS_START=FFE0
fi

if [ "${MSP430_NAME}" = "msp430x325" ] ; then
ARCH=msp:32
ROM_START=0xC000
ROM_SIZE=0x3FFF
RAM_START=0x200
RAM_SIZE=0x1FF
VECTORS_START=FFE0
fi

if [ "${MSP430_NAME}" = "msp430x336" ] ; then
ARCH=msp:33
ROM_START=0xA000
ROM_SIZE=0x5FFF
RAM_START=0x200
RAM_SIZE=0x3FF
VECTORS_START=FFE0
fi

if [ "${MSP430_NAME}" = "msp430x337" ] ; then
ARCH=msp:33
ROM_START=0x8000
ROM_SIZE=0x7FFF
RAM_START=0x200
RAM_SIZE=0x3FF
VECTORS_START=FFE0
fi

if [ "${MSP430_NAME}" = "msp430x412" ] ; then
ARCH=msp:41
ROM_START=0xF000
ROM_SIZE=0xFFF
RAM_START=0x200
RAM_SIZE=0xFF
VECTORS_START=FFE0
fi

if [ "${MSP430_NAME}" = "msp430x413" ] ; then
ARCH=msp:41
ROM_START=0xE000
ROM_SIZE=0x1FFF
RAM_START=0x200
RAM_SIZE=0xFF
VECTORS_START=FFE0
fi

if [ "${MSP430_NAME}" = "msp430xg4616" ] ; then
ARCH=msp:46
ROM_START=0x2100
ROM_SIZE=0x16EFF
INFO_START=0x1000
INFO_SIZE=0xFF
RAM_START=0x1100
RAM_SIZE=0xFFF
VECTORS_START=FFC0
fi

if [ "${MSP430_NAME}" = "msp430xg4617" ] ; then
ARCH=msp:46
ROM_START=0x3100
ROM_SIZE=0x16EFF
INFO_START=0x1000
INFO_SIZE=0xFF
RAM_START=0x1100
RAM_SIZE=0x1FFF
VECTORS_START=FFC0
fi

if [ "${MSP430_NAME}" = "msp430xg4618" ] ; then
ARCH=msp:46
ROM_START=0x3100
ROM_SIZE=0x1CEFF
INFO_START=0x1000
INFO_SIZE=0xFF
RAM_START=0x1100
RAM_SIZE=0x1FFF
VECTORS_START=FFC0
fi

if [ "${MSP430_NAME}" = "msp430xg4619" ] ; then
ARCH=msp:46
ROM_START=0x2100
ROM_SIZE=0x1DEFF
INFO_START=0x1000
INFO_SIZE=0xFF
RAM_START=0x1100
RAM_SIZE=0xFFF
VECTORS_START=FFC0
fi

if [ "${MSP430_NAME}" = "msp430x112" ] ; then
ARCH=msp:11
ROM_START=0xF000
ROM_SIZE=0xFFF
RAM_START=0x200
RAM_SIZE=0xFF
VECTORS_START=FFE0
fi

if [ "${MSP430_NAME}" = "msp430x313" ] ; then
ARCH=msp:31
ROM_START=0xE000
ROM_SIZE=0x1FFF
RAM_START=0x200
RAM_SIZE=0xFF
VECTORS_START=FFE0
fi

if [ "${MSP430_NAME}" = "msp430x315" ] ; then
ARCH=msp:31
ROM_START=0xC000
ROM_SIZE=0x3FFF
RAM_START=0x200
RAM_SIZE=0x1FF
VECTORS_START=FFE0
fi

if [ "${MSP430_NAME}" = "msp430x325" ] ; then
ARCH=msp:32
ROM_START=0xC000
ROM_SIZE=0x3FFF
RAM_START=0x200
RAM_SIZE=0x1FF
VECTORS_START=FFE0
fi

if [ "${MSP430_NAME}" = "msp430x337" ] ; then
ARCH=msp:33
ROM_START=0x8000
ROM_SIZE=0x7FFF
RAM_START=0x200
RAM_SIZE=0x3FF
VECTORS_START=FFE0
fi

if [ "${MSP430_NAME}" = "msp430x110" ] ; then
ARCH=msp:11
ROM_START=0xFC00
ROM_SIZE=0x3FF
INFO_START=0x1080
INFO_SIZE=0x7F
RAM_START=0x200
RAM_SIZE=0x7F
VECTORS_START=FFE0
fi

if [ "${MSP430_NAME}" = "msp430x1101" ] ; then
ARCH=msp:11
ROM_START=0xFC00
ROM_SIZE=0x3FF
INFO_START=0x1080
INFO_SIZE=0x7F
RAM_START=0x200
RAM_SIZE=0x7F
VECTORS_START=FFE0
fi

if [ "${MSP430_NAME}" = "msp430x1101a" ] ; then
ARCH=msp:11
ROM_START=0xFC00
ROM_SIZE=0x3FF
INFO_START=0x1080
INFO_SIZE=0x7F
RAM_START=0x200
RAM_SIZE=0x7F
VECTORS_START=FFE0
fi

if [ "${MSP430_NAME}" = "msp430x1111" ] ; then
ARCH=msp:11
ROM_START=0xF800
ROM_SIZE=0x7FF
INFO_START=0x1000
INFO_SIZE=0xFF
RAM_START=0x200
RAM_SIZE=0x7F
VECTORS_START=FFE0
fi

if [ "${MSP430_NAME}" = "msp430x1111a" ] ; then
ARCH=msp:11
ROM_START=0xF800
ROM_SIZE=0x7FF
INFO_START=0x1000
INFO_SIZE=0xFF
RAM_START=0x200
RAM_SIZE=0x7F
VECTORS_START=FFE0
fi

if [ "${MSP430_NAME}" = "msp430x112" ] ; then
ARCH=msp:11
ROM_START=0xF000
ROM_SIZE=0xFFF
INFO_START=0x1000
INFO_SIZE=0xFF
RAM_START=0x200
RAM_SIZE=0xFF
VECTORS_START=FFE0
fi

if [ "${MSP430_NAME}" = "msp430x1121" ] ; then
ARCH=msp:11
ROM_START=0xF000
ROM_SIZE=0xFFF
INFO_START=0x1000
INFO_SIZE=0xFF
RAM_START=0x200
RAM_SIZE=0xFF
VECTORS_START=FFE0
fi

if [ "${MSP430_NAME}" = "msp430x1121a" ] ; then
ARCH=msp:11
ROM_START=0xF000
ROM_SIZE=0xFFF
INFO_START=0x1000
INFO_SIZE=0xFF
RAM_START=0x200
RAM_SIZE=0xFF
VECTORS_START=FFE0
fi

if [ "${MSP430_NAME}" = "msp430x1122" ] ; then
ARCH=msp:11
ROM_START=0xF000
ROM_SIZE=0xFFF
INFO_START=0x1000
INFO_SIZE=0xFF
RAM_START=0x200
RAM_SIZE=0xFF
VECTORS_START=FFE0
fi

if [ "${MSP430_NAME}" = "msp430x1132" ] ; then
ARCH=msp:11
ROM_START=0xE000
ROM_SIZE=0x1FFF
INFO_START=0x1000
INFO_SIZE=0xFF
RAM_START=0x200
RAM_SIZE=0xFF
VECTORS_START=FFE0
fi

if [ "${MSP430_NAME}" = "msp430x122" ] ; then
ARCH=msp:12
ROM_START=0xF000
ROM_SIZE=0xFFF
INFO_START=0x1000
INFO_SIZE=0xFF
RAM_START=0x200
RAM_SIZE=0xFF
VECTORS_START=FFE0
fi

if [ "${MSP430_NAME}" = "msp430x1222" ] ; then
ARCH=msp:12
ROM_START=0xF000
ROM_SIZE=0xFFF
INFO_START=0x1000
INFO_SIZE=0xFF
RAM_START=0x200
RAM_SIZE=0xFF
VECTORS_START=FFE0
fi

if [ "${MSP430_NAME}" = "msp430x123" ] ; then
ARCH=msp:12
ROM_START=0xE000
ROM_SIZE=0x1FFF
INFO_START=0x1000
INFO_SIZE=0xFF
RAM_START=0x200
RAM_SIZE=0xFF
VECTORS_START=FFE0
fi

if [ "${MSP430_NAME}" = "msp430x1232" ] ; then
ARCH=msp:12
ROM_START=0xE000
ROM_SIZE=0x1FFF
INFO_START=0x1000
INFO_SIZE=0xFF
RAM_START=0x200
RAM_SIZE=0xFF
VECTORS_START=FFE0
fi

if [ "${MSP430_NAME}" = "msp430x133" ] ; then
ARCH=msp:13
ROM_START=0xE000
ROM_SIZE=0x1FFF
INFO_START=0x1000
INFO_SIZE=0xFF
RAM_START=0x200
RAM_SIZE=0xFF
VECTORS_START=FFE0
fi

if [ "${MSP430_NAME}" = "msp430x135" ] ; then
ARCH=msp:13
ROM_START=0xC000
ROM_SIZE=0x3FFF
INFO_START=0x1000
INFO_SIZE=0xFF
RAM_START=0x200
RAM_SIZE=0x1FF
VECTORS_START=FFE0
fi

if [ "${MSP430_NAME}" = "msp430x147" ] ; then
ARCH=msp:14
ROM_START=0x8000
ROM_SIZE=0x7FFF
INFO_START=0x1000
INFO_SIZE=0xFF
RAM_START=0x200
RAM_SIZE=0x3FF
VECTORS_START=FFE0
fi

if [ "${MSP430_NAME}" = "msp430x148" ] ; then
ARCH=msp:14
ROM_START=0x4000
ROM_SIZE=0xBFFF
INFO_START=0x1000
INFO_SIZE=0xFF
RAM_START=0x200
RAM_SIZE=0x7FF
VECTORS_START=FFE0
fi

if [ "${MSP430_NAME}" = "msp430x149" ] ; then
ARCH=msp:14
ROM_START=0x1100
ROM_SIZE=0xEEFF
INFO_START=0x1000
INFO_SIZE=0xFF
RAM_START=0x200
RAM_SIZE=0x7FF
VECTORS_START=FFE0
fi

if [ "${MSP430_NAME}" = "msp430x1471" ] ; then
ARCH=msp:14
ROM_START=0x8000
ROM_SIZE=0x7FFF
INFO_START=0x1000
INFO_SIZE=0xFF
RAM_START=0x200
RAM_SIZE=0x3FF
VECTORS_START=FFE0
fi

if [ "${MSP430_NAME}" = "msp430x1481" ] ; then
ARCH=msp:14
ROM_START=0x4000
ROM_SIZE=0xBFFF
INFO_START=0x1000
INFO_SIZE=0xFF
RAM_START=0x200
RAM_SIZE=0x7FF
VECTORS_START=FFE0
fi

if [ "${MSP430_NAME}" = "msp430x1491" ] ; then
ARCH=msp:14
ROM_START=0x1100
ROM_SIZE=0xEEFF
INFO_START=0x1000
INFO_SIZE=0xFF
RAM_START=0x200
RAM_SIZE=0x7FF
VECTORS_START=FFE0
fi

if [ "${MSP430_NAME}" = "msp430x155" ] ; then
ARCH=msp:15
ROM_START=0xC000
ROM_SIZE=0x3FFF
INFO_START=0x1000
INFO_SIZE=0xFF
RAM_START=0x200
RAM_SIZE=0x1FF
VECTORS_START=FFE0
fi

if [ "${MSP430_NAME}" = "msp430x156" ] ; then
ARCH=msp:15
ROM_START=0xA000
ROM_SIZE=0x5FFF
INFO_START=0x1000
INFO_SIZE=0xFF
RAM_START=0x200
RAM_SIZE=0x3FF
VECTORS_START=FFE0
fi

if [ "${MSP430_NAME}" = "msp430x157" ] ; then
ARCH=msp:15
ROM_START=0x8000
ROM_SIZE=0x7FFF
INFO_START=0x1000
INFO_SIZE=0xFF
RAM_START=0x200
RAM_SIZE=0x3FF
VECTORS_START=FFE0
fi

if [ "${MSP430_NAME}" = "msp430x167" ] ; then
ARCH=msp:16
ROM_START=0x8000
ROM_SIZE=0x7FFF
INFO_START=0x1000
INFO_SIZE=0xFF
RAM_START=0x200
RAM_SIZE=0x3FF
VECTORS_START=FFE0
fi

if [ "${MSP430_NAME}" = "msp430x168" ] ; then
ARCH=msp:16
ROM_START=0x4000
ROM_SIZE=0xBFFF
INFO_START=0x1000
INFO_SIZE=0xFF
RAM_START=0x200
RAM_SIZE=0x7FF
VECTORS_START=FFE0
fi

if [ "${MSP430_NAME}" = "msp430x169" ] ; then
ARCH=msp:16
ROM_START=0x1100
ROM_SIZE=0xEEFF
INFO_START=0x1000
INFO_SIZE=0xFF
RAM_START=0x200
RAM_SIZE=0x7FF
VECTORS_START=FFE0
fi

if [ "${MSP430_NAME}" = "msp430x1610" ] ; then
ARCH=msp:16
ROM_START=0x8000
ROM_SIZE=0x7FFF
INFO_START=0x1000
INFO_SIZE=0xFF
RAM_START=0x1100
RAM_SIZE=0x13FF
VECTORS_START=FFE0
fi

if [ "${MSP430_NAME}" = "msp430x1611" ] ; then
ARCH=msp:16
ROM_START=0x4000
ROM_SIZE=0xBFFF
INFO_START=0x1000
INFO_SIZE=0xFF
RAM_START=0x1100
RAM_SIZE=0x27FF
VECTORS_START=FFE0
fi

if [ "${MSP430_NAME}" = "msp430x1612" ] ; then
ARCH=msp:16
ROM_START=0x2500
ROM_SIZE=0xDAFF
INFO_START=0x1000
INFO_SIZE=0xFF
RAM_START=0x1100
RAM_SIZE=0x13FF
VECTORS_START=FFE0
fi

if [ "${MSP430_NAME}" = "msp430x2001" ] ; then
ARCH=msp:20
ROM_START=0xFC00
ROM_SIZE=0x3FF
INFO_START=0x1000
INFO_SIZE=0xFF
RAM_START=0x200
RAM_SIZE=0x7F
VECTORS_START=FFE0
fi

if [ "${MSP430_NAME}" = "msp430x2011" ] ; then
ARCH=msp:20
ROM_START=0xF800
ROM_SIZE=0x7FF
INFO_START=0x1000
INFO_SIZE=0xFF
RAM_START=0x200
RAM_SIZE=0x7F
VECTORS_START=FFE0
fi

if [ "${MSP430_NAME}" = "msp430x2002" ] ; then
ARCH=msp:20
ROM_START=0xFC00
ROM_SIZE=0x3FF
INFO_START=0x1000
INFO_SIZE=0xFF
RAM_START=0x200
RAM_SIZE=0x7F
VECTORS_START=FFE0
fi

if [ "${MSP430_NAME}" = "msp430x2012" ] ; then
ARCH=msp:20
ROM_START=0xF800
ROM_SIZE=0x7FF
INFO_START=0x1000
INFO_SIZE=0xFF
RAM_START=0x200
RAM_SIZE=0x7F
VECTORS_START=FFE0
fi

if [ "${MSP430_NAME}" = "msp430x2003" ] ; then
ARCH=msp:20
ROM_START=0xFC00
ROM_SIZE=0x3FF
INFO_START=0x1000
INFO_SIZE=0xFF
RAM_START=0x200
RAM_SIZE=0x7F
VECTORS_START=FFE0
fi

if [ "${MSP430_NAME}" = "msp430x2013" ] ; then
ARCH=msp:20
ROM_START=0xF800
ROM_SIZE=0x7FF
INFO_START=0x1000
INFO_SIZE=0xFF
RAM_START=0x200
RAM_SIZE=0x7F
VECTORS_START=FFE0
fi

if [ "${MSP430_NAME}" = "msp430x2101" ] ; then
ARCH=msp:21
ROM_START=0xFC00
ROM_SIZE=0x3FF
INFO_START=0x1000
INFO_SIZE=0xFF
RAM_START=0x200
RAM_SIZE=0x7F
VECTORS_START=FFE0
fi

if [ "${MSP430_NAME}" = "msp430x2111" ] ; then
ARCH=msp:21
ROM_START=0xF800
ROM_SIZE=0x7FF
INFO_START=0x1000
INFO_SIZE=0xFF
RAM_START=0x200
RAM_SIZE=0x7F
VECTORS_START=FFE0
fi

if [ "${MSP430_NAME}" = "msp430x2121" ] ; then
ARCH=msp:21
ROM_START=0xF000
ROM_SIZE=0xFFF
INFO_START=0x1000
INFO_SIZE=0xFF
RAM_START=0x200
RAM_SIZE=0xFF
VECTORS_START=FFE0
fi

if [ "${MSP430_NAME}" = "msp430x2131" ] ; then
ARCH=msp:21
ROM_START=0xE000
ROM_SIZE=0x1FFF
INFO_START=0x1000
INFO_SIZE=0xFF
RAM_START=0x200
RAM_SIZE=0xFF
VECTORS_START=FFE0
fi

if [ "${MSP430_NAME}" = "msp430x2112" ] ; then
ARCH=msp:21
ROM_START=0xF800
ROM_SIZE=0x7FF
INFO_START=0x1000
INFO_SIZE=0xFF
RAM_START=0x200
RAM_SIZE=0xFF
VECTORS_START=FFE0
fi

if [ "${MSP430_NAME}" = "msp430x2122" ] ; then
ARCH=msp:21
ROM_START=0xF000
ROM_SIZE=0xFFF
INFO_START=0x1000
INFO_SIZE=0xFF
RAM_START=0x200
RAM_SIZE=0x1FF
VECTORS_START=FFE0
fi

if [ "${MSP430_NAME}" = "msp430x2132" ] ; then
ARCH=msp:21
ROM_START=0xE000
ROM_SIZE=0x1FFF
INFO_START=0x1000
INFO_SIZE=0xFF
RAM_START=0x200
RAM_SIZE=0x1FF
VECTORS_START=FFE0
fi

if [ "${MSP430_NAME}" = "msp430x2232" ] ; then
ARCH=msp:22
ROM_START=0xE000
ROM_SIZE=0x1FFF
INFO_START=0x1000
INFO_SIZE=0xFF
RAM_START=0x200
RAM_SIZE=0x1FF
VECTORS_START=FFE0
fi

if [ "${MSP430_NAME}" = "msp430x2252" ] ; then
ARCH=msp:22
ROM_START=0xC000
ROM_SIZE=0x3FFF
INFO_START=0x1000
INFO_SIZE=0xFF
RAM_START=0x200
RAM_SIZE=0x1FF
VECTORS_START=FFE0
fi

if [ "${MSP430_NAME}" = "msp430x2272" ] ; then
ARCH=msp:22
ROM_START=0x8000
ROM_SIZE=0x7FFF
INFO_START=0x1000
INFO_SIZE=0xFF
RAM_START=0x200
RAM_SIZE=0x3FF
VECTORS_START=FFE0
fi

if [ "${MSP430_NAME}" = "msp430x2234" ] ; then
ARCH=msp:22
ROM_START=0xE000
ROM_SIZE=0x1FFF
INFO_START=0x1000
INFO_SIZE=0xFF
RAM_START=0x200
RAM_SIZE=0x1FF
VECTORS_START=FFE0
fi

if [ "${MSP430_NAME}" = "msp430x2254" ] ; then
ARCH=msp:22
ROM_START=0xC000
ROM_SIZE=0x3FFF
INFO_START=0x1000
INFO_SIZE=0xFF
RAM_START=0x200
RAM_SIZE=0x1FF
VECTORS_START=FFE0
fi

if [ "${MSP430_NAME}" = "msp430x2274" ] ; then
ARCH=msp:22
ROM_START=0x8000
ROM_SIZE=0x7FFF
INFO_START=0x1000
INFO_SIZE=0xFF
RAM_START=0x200
RAM_SIZE=0x3FF
VECTORS_START=FFE0
fi

if [ "${MSP430_NAME}" = "msp430x2330" ] ; then
ARCH=msp:23
ROM_START=0xE000
ROM_SIZE=0x1FFF
INFO_START=0x1000
INFO_SIZE=0xFF
RAM_START=0x200
RAM_SIZE=0x3FF
VECTORS_START=FFE0
fi

if [ "${MSP430_NAME}" = "msp430x2350" ] ; then
ARCH=msp:23
ROM_START=0xC000
ROM_SIZE=0x3FFF
INFO_START=0x1000
INFO_SIZE=0xFF
RAM_START=0x200
RAM_SIZE=0x7FF
VECTORS_START=FFE0
fi

if [ "${MSP430_NAME}" = "msp430x2370" ] ; then
ARCH=msp:23
ROM_START=0x8000
ROM_SIZE=0x7FFF
INFO_START=0x1000
INFO_SIZE=0xFF
RAM_START=0x200
RAM_SIZE=0x7FF
VECTORS_START=FFE0
fi

if [ "${MSP430_NAME}" = "msp430x233" ] ; then
ARCH=msp:23
ROM_START=0xE000
ROM_SIZE=0x1FFF
INFO_START=0x1000
INFO_SIZE=0xFF
RAM_START=0x200
RAM_SIZE=0x3FF
VECTORS_START=FFE0
fi

if [ "${MSP430_NAME}" = "msp430x235" ] ; then
ARCH=msp:23
ROM_START=0xC000
ROM_SIZE=0x3FFF
INFO_START=0x1000
INFO_SIZE=0xFF
RAM_START=0x200
RAM_SIZE=0x7FF
VECTORS_START=FFE0
fi

if [ "${MSP430_NAME}" = "msp430x247" ] ; then
ARCH=msp:24
ROM_START=0x8000
ROM_SIZE=0x7FFF
INFO_START=0x1000
INFO_SIZE=0xFF
RAM_START=0x1100
RAM_SIZE=0xFFF
VECTORS_START=FFC0
fi

if [ "${MSP430_NAME}" = "msp430x248" ] ; then
ARCH=msp:24
ROM_START=0x4000
ROM_SIZE=0xBFFF
INFO_START=0x1000
INFO_SIZE=0xFF
RAM_START=0x1100
RAM_SIZE=0xFFF
VECTORS_START=FFC0
fi

if [ "${MSP430_NAME}" = "msp430x249" ] ; then
ARCH=msp:24
ROM_START=0x1100
ROM_SIZE=0xEEFF
INFO_START=0x1000
INFO_SIZE=0xFF
RAM_START=0x200
RAM_SIZE=0x7FF
VECTORS_START=FFC0
fi

if [ "${MSP430_NAME}" = "msp430x2410" ] ; then
ARCH=msp:24
ROM_START=0x2100
ROM_SIZE=0xDEFF
INFO_START=0x1000
INFO_SIZE=0xFF
RAM_START=0x1100
RAM_SIZE=0xFFF
VECTORS_START=FFC0
fi

if [ "${MSP430_NAME}" = "msp430x2471" ] ; then
ARCH=msp:24
ROM_START=0x8000
ROM_SIZE=0x7FFF
INFO_START=0x1000
INFO_SIZE=0xFF
RAM_START=0x1100
RAM_SIZE=0xFFF
VECTORS_START=FFC0
fi

if [ "${MSP430_NAME}" = "msp430x2481" ] ; then
ARCH=msp:24
ROM_START=0x4000
ROM_SIZE=0xBFFF
INFO_START=0x1000
INFO_SIZE=0xFF
RAM_START=0x1100
RAM_SIZE=0xFFF
VECTORS_START=FFC0
fi

if [ "${MSP430_NAME}" = "msp430x2491" ] ; then
ARCH=msp:24
ROM_START=0x1100
ROM_SIZE=0xEEFF
INFO_START=0x1000
INFO_SIZE=0xFF
RAM_START=0x200
RAM_SIZE=0x7FF
VECTORS_START=FFC0
fi

if [ "${MSP430_NAME}" = "msp430x2416" ] ; then
ARCH=msp:24
ROM_START=0x2100
ROM_SIZE=0x16EFF
INFO_START=0x1000
INFO_SIZE=0xFF
RAM_START=0x1100
RAM_SIZE=0xFFF
VECTORS_START=FFC0
fi

if [ "${MSP430_NAME}" = "msp430x2417" ] ; then
ARCH=msp:24
ROM_START=0x3100
ROM_SIZE=0x16EFF
INFO_START=0x1000
INFO_SIZE=0xFF
RAM_START=0x1100
RAM_SIZE=0x1FFF
VECTORS_START=FFC0
fi

if [ "${MSP430_NAME}" = "msp430x2418" ] ; then
ARCH=msp:24
ROM_START=0x3100
ROM_SIZE=0x1CEFF
INFO_START=0x1000
INFO_SIZE=0xFF
RAM_START=0x1100
RAM_SIZE=0x1FFF
VECTORS_START=FFC0
fi

if [ "${MSP430_NAME}" = "msp430x2419" ] ; then
ARCH=msp:24
ROM_START=0x2100
ROM_SIZE=0x1DEFF
INFO_START=0x1000
INFO_SIZE=0xFF
RAM_START=0x1100
RAM_SIZE=0xFFF
VECTORS_START=FFC0
fi

if [ "${MSP430_NAME}" = "msp430x2616" ] ; then
ARCH=msp:26
ROM_START=0x2100
ROM_SIZE=0x16EFF
INFO_START=0x1000
INFO_SIZE=0xFF
RAM_START=0x1100
RAM_SIZE=0xFFF
VECTORS_START=FFC0
fi

if [ "${MSP430_NAME}" = "msp430x2617" ] ; then
ARCH=msp:26
ROM_START=0x3100
ROM_SIZE=0x16EFF
INFO_START=0x1000
INFO_SIZE=0xFF
RAM_START=0x1100
RAM_SIZE=0x1FFF
VECTORS_START=FFC0
fi

if [ "${MSP430_NAME}" = "msp430x2618" ] ; then
ARCH=msp:26
ROM_START=0x3100
ROM_SIZE=0x1CEFF
INFO_START=0x1000
INFO_SIZE=0xFF
RAM_START=0x1100
RAM_SIZE=0x1FFF
VECTORS_START=FFC0
fi

if [ "${MSP430_NAME}" = "msp430x2619" ] ; then
ARCH=msp:26
ROM_START=0x2100
ROM_SIZE=0x1DEFF
INFO_START=0x1000
INFO_SIZE=0xFF
RAM_START=0x1100
RAM_SIZE=0xFFF
VECTORS_START=FFC0
fi

if [ "${MSP430_NAME}" = "msp430x412" ] ; then
ARCH=msp:41
ROM_START=0xF000
ROM_SIZE=0xFFF
INFO_START=0x1000
INFO_SIZE=0xFF
RAM_START=0x200
RAM_SIZE=0xFF
VECTORS_START=FFE0
fi

if [ "${MSP430_NAME}" = "msp430x413" ] ; then
ARCH=msp:41
ROM_START=0xE000
ROM_SIZE=0x1FFF
INFO_START=0x1000
INFO_SIZE=0xFF
RAM_START=0x200
RAM_SIZE=0xFF
VECTORS_START=FFE0
fi

if [ "${MSP430_NAME}" = "msp430x415" ] ; then
ARCH=msp:41
ROM_START=0xC000
ROM_SIZE=0x3FFF
INFO_START=0x1000
INFO_SIZE=0xFF
RAM_START=0x200
RAM_SIZE=0x1FF
VECTORS_START=FFE0
fi

if [ "${MSP430_NAME}" = "msp430x417" ] ; then
ARCH=msp:41
ROM_START=0x8000
ROM_SIZE=0x7FFF
INFO_START=0x1000
INFO_SIZE=0xFF
RAM_START=0x200
RAM_SIZE=0x3FF
VECTORS_START=FFE0
fi

if [ "${MSP430_NAME}" = "msp430x4132" ] ; then
ARCH=msp:41
ROM_START=0xE000
ROM_SIZE=0x1FFF
INFO_START=0x1000
INFO_SIZE=0xFF
RAM_START=0x200
RAM_SIZE=0x1FF
VECTORS_START=FFE0
fi

if [ "${MSP430_NAME}" = "msp430x4152" ] ; then
ARCH=msp:41
ROM_START=0xC000
ROM_SIZE=0x3FFF
INFO_START=0x1000
INFO_SIZE=0xFF
RAM_START=0x200
RAM_SIZE=0x1FF
VECTORS_START=FFE0
fi

if [ "${MSP430_NAME}" = "msp430x423" ] ; then
ARCH=msp:42
ROM_START=0xE000
ROM_SIZE=0x1FFF
INFO_START=0x1000
INFO_SIZE=0xFF
RAM_START=0x200
RAM_SIZE=0xFF
VECTORS_START=FFE0
fi

if [ "${MSP430_NAME}" = "msp430x425" ] ; then
ARCH=msp:42
ROM_START=0xC000
ROM_SIZE=0x3FFF
INFO_START=0x1000
INFO_SIZE=0xFF
RAM_START=0x200
RAM_SIZE=0x1FF
VECTORS_START=FFE0
fi

if [ "${MSP430_NAME}" = "msp430x427" ] ; then
ARCH=msp:42
ROM_START=0x8000
ROM_SIZE=0x7FFF
INFO_START=0x1000
INFO_SIZE=0xFF
RAM_START=0x200
RAM_SIZE=0x3FF
VECTORS_START=FFE0
fi

if [ "${MSP430_NAME}" = "msp430x423a" ] ; then
ARCH=msp:42
ROM_START=0xE000
ROM_SIZE=0x1FFF
INFO_START=0x1000
INFO_SIZE=0xFF
RAM_START=0x200
RAM_SIZE=0xFF
VECTORS_START=FFE0
fi

if [ "${MSP430_NAME}" = "msp430x425a" ] ; then
ARCH=msp:42
ROM_START=0xC000
ROM_SIZE=0x3FFF
INFO_START=0x1000
INFO_SIZE=0xFF
RAM_START=0x200
RAM_SIZE=0x1FF
VECTORS_START=FFE0
fi

if [ "${MSP430_NAME}" = "msp430x427a" ] ; then
ARCH=msp:42
ROM_START=0x8000
ROM_SIZE=0x7FFF
INFO_START=0x1000
INFO_SIZE=0xFF
RAM_START=0x200
RAM_SIZE=0x3FF
VECTORS_START=FFE0
fi

if [ "${MSP430_NAME}" = "msp430x435" ] ; then
ARCH=msp:43
ROM_START=0xC000
ROM_SIZE=0x3FFF
INFO_START=0x1000
INFO_SIZE=0xFF
RAM_START=0x200
RAM_SIZE=0x1FF
VECTORS_START=FFE0
fi

if [ "${MSP430_NAME}" = "msp430x436" ] ; then
ARCH=msp:43
ROM_START=0xA000
ROM_SIZE=0x5FFF
INFO_START=0x1000
INFO_SIZE=0xFF
RAM_START=0x200
RAM_SIZE=0x3FF
VECTORS_START=FFE0
fi

if [ "${MSP430_NAME}" = "msp430x437" ] ; then
ARCH=msp:43
ROM_START=0x8000
ROM_SIZE=0x7FFF
INFO_START=0x1000
INFO_SIZE=0xFF
RAM_START=0x200
RAM_SIZE=0x3FF
VECTORS_START=FFE0
fi

if [ "${MSP430_NAME}" = "msp430x4351" ] ; then
ARCH=msp:43
ROM_START=0xC000
ROM_SIZE=0x3FFF
INFO_START=0x1000
INFO_SIZE=0xFF
RAM_START=0x200
RAM_SIZE=0x1FF
VECTORS_START=FFE0
fi

if [ "${MSP430_NAME}" = "msp430x4361" ] ; then
ARCH=msp:43
ROM_START=0xA000
ROM_SIZE=0x5FFF
INFO_START=0x1000
INFO_SIZE=0xFF
RAM_START=0x200
RAM_SIZE=0x3FF
VECTORS_START=FFE0
fi

if [ "${MSP430_NAME}" = "msp430x4371" ] ; then
ARCH=msp:43
ROM_START=0x8000
ROM_SIZE=0x7FFF
INFO_START=0x1000
INFO_SIZE=0xFF
RAM_START=0x200
RAM_SIZE=0x3FF
VECTORS_START=FFE0
fi

if [ "${MSP430_NAME}" = "msp430x4481" ] ; then
ARCH=msp:44
ROM_START=0x4000
ROM_SIZE=0xBFFF
INFO_START=0x1000
INFO_SIZE=0xFF
RAM_START=0x200
RAM_SIZE=0x7FF
VECTORS_START=FFE0
fi

if [ "${MSP430_NAME}" = "msp430x4491" ] ; then
ARCH=msp:44
ROM_START=0x1100
ROM_SIZE=0xEEFF
INFO_START=0x1000
INFO_SIZE=0xFF
RAM_START=0x200
RAM_SIZE=0x7FF
VECTORS_START=FFE0
fi

if [ "${MSP430_NAME}" = "msp430x447" ] ; then
ARCH=msp:44
ROM_START=0x8000
ROM_SIZE=0x7FFF
INFO_START=0x1000
INFO_SIZE=0xFF
RAM_START=0x200
RAM_SIZE=0x3FF
VECTORS_START=FFE0
fi

if [ "${MSP430_NAME}" = "msp430x448" ] ; then
ARCH=msp:44
ROM_START=0x4000
ROM_SIZE=0xBFFF
INFO_START=0x1000
INFO_SIZE=0xFF
RAM_START=0x200
RAM_SIZE=0x7FF
VECTORS_START=FFE0
fi

if [ "${MSP430_NAME}" = "msp430x449" ] ; then
ARCH=msp:44
ROM_START=0x1100
ROM_SIZE=0xEEFF
INFO_START=0x1000
INFO_SIZE=0xFF
RAM_START=0x200
RAM_SIZE=0x7FF
VECTORS_START=FFE0
fi

if [ "${MSP430_NAME}" = "msp430xe423" ] ; then
ARCH=msp:42
ROM_START=0xE000
ROM_SIZE=0x1FFF
INFO_START=0x1000
INFO_SIZE=0xFF
RAM_START=0x200
RAM_SIZE=0xFF
VECTORS_START=FFE0
fi

if [ "${MSP430_NAME}" = "msp430xe425" ] ; then
ARCH=msp:42
ROM_START=0xC000
ROM_SIZE=0x3FFF
INFO_START=0x1000
INFO_SIZE=0xFF
RAM_START=0x200
RAM_SIZE=0x1FF
VECTORS_START=FFE0
fi

if [ "${MSP430_NAME}" = "msp430xe427" ] ; then
ARCH=msp:42
ROM_START=0x8000
ROM_SIZE=0x7FFF
INFO_START=0x1000
INFO_SIZE=0xFF
RAM_START=0x200
RAM_SIZE=0x3FF
VECTORS_START=FFE0
fi

if [ "${MSP430_NAME}" = "msp430xe423a" ] ; then
ARCH=msp:42
ROM_START=0xE000
ROM_SIZE=0x1FFF
INFO_START=0x1000
INFO_SIZE=0xFF
RAM_START=0x200
RAM_SIZE=0xFF
VECTORS_START=FFE0
fi

if [ "${MSP430_NAME}" = "msp430xe425a" ] ; then
ARCH=msp:42
ROM_START=0xC000
ROM_SIZE=0x3FFF
INFO_START=0x1000
INFO_SIZE=0xFF
RAM_START=0x200
RAM_SIZE=0x1FF
VECTORS_START=FFE0
fi

if [ "${MSP430_NAME}" = "msp430xe427a" ] ; then
ARCH=msp:42
ROM_START=0x8000
ROM_SIZE=0x7FFF
INFO_START=0x1000
INFO_SIZE=0xFF
RAM_START=0x200
RAM_SIZE=0x3FF
VECTORS_START=FFE0
fi

if [ "${MSP430_NAME}" = "msp430xe4232" ] ; then
ARCH=msp:42
ROM_START=0xE000
ROM_SIZE=0x1FFF
INFO_START=0x1000
INFO_SIZE=0xFF
RAM_START=0x200
RAM_SIZE=0xFF
VECTORS_START=FFE0
fi

if [ "${MSP430_NAME}" = "msp430xe4242" ] ; then
ARCH=msp:42
ROM_START=0xD000
ROM_SIZE=0x2FFF
INFO_START=0x1000
INFO_SIZE=0xFF
RAM_START=0x200
RAM_SIZE=0x1FF
VECTORS_START=FFE0
fi

if [ "${MSP430_NAME}" = "msp430xe4252" ] ; then
ARCH=msp:42
ROM_START=0xC000
ROM_SIZE=0x3FFF
INFO_START=0x1000
INFO_SIZE=0xFF
RAM_START=0x200
RAM_SIZE=0x1FF
VECTORS_START=FFE0
fi

if [ "${MSP430_NAME}" = "msp430xe4272" ] ; then
ARCH=msp:42
ROM_START=0x8000
ROM_SIZE=0x7FFF
INFO_START=0x1000
INFO_SIZE=0xFF
RAM_START=0x200
RAM_SIZE=0x3FF
VECTORS_START=FFE0
fi

if [ "${MSP430_NAME}" = "msp430x4783" ] ; then
ARCH=msp:47
ROM_START=0x4000
ROM_SIZE=0xBFFF
INFO_START=0x1000
INFO_SIZE=0xFF
RAM_START=0x200
RAM_SIZE=0x7FF
VECTORS_START=FFE0
fi

if [ "${MSP430_NAME}" = "msp430x4793" ] ; then
ARCH=msp:47
ROM_START=0x1100
ROM_SIZE=0xEEFF
INFO_START=0x1000
INFO_SIZE=0xFF
RAM_START=0x200
RAM_SIZE=0x9FF
VECTORS_START=FFE0
fi

if [ "${MSP430_NAME}" = "msp430x4784" ] ; then
ARCH=msp:47
ROM_START=0x4000
ROM_SIZE=0xBFFF
INFO_START=0x1000
INFO_SIZE=0xFF
RAM_START=0x200
RAM_SIZE=0x7FF
VECTORS_START=FFE0
fi

if [ "${MSP430_NAME}" = "msp430x4794" ] ; then
ARCH=msp:47
ROM_START=0x1100
ROM_SIZE=0xEEFF
INFO_START=0x1000
INFO_SIZE=0xFF
RAM_START=0x200
RAM_SIZE=0x9FF
VECTORS_START=FFE0
fi

if [ "${MSP430_NAME}" = "msp430x47126" ] ; then
ARCH=msp:47
ROM_START=0x2100
ROM_SIZE=0xDEFF
INFO_START=0x1000
INFO_SIZE=0xFF
RAM_START=0x1100
RAM_SIZE=0xFFF
VECTORS_START=FFC0
fi

if [ "${MSP430_NAME}" = "msp430x47127" ] ; then
ARCH=msp:47
ROM_START=0x2100
ROM_SIZE=0xDEFF
INFO_START=0x1000
INFO_SIZE=0xFF
RAM_START=0x1100
RAM_SIZE=0xFFF
VECTORS_START=FFC0
fi

if [ "${MSP430_NAME}" = "msp430x47163" ] ; then
ARCH=msp:47
ROM_START=0x2100
ROM_SIZE=0x16EFF
INFO_START=0x1000
INFO_SIZE=0xFF
RAM_START=0x1100
RAM_SIZE=0xFFF
VECTORS_START=FFC0
fi

if [ "${MSP430_NAME}" = "msp430x47173" ] ; then
ARCH=msp:47
ROM_START=0x3100
ROM_SIZE=0x16EFF
INFO_START=0x1000
INFO_SIZE=0xFF
RAM_START=0x1100
RAM_SIZE=0x1FFF
VECTORS_START=FFC0
fi

if [ "${MSP430_NAME}" = "msp430x47183" ] ; then
ARCH=msp:47
ROM_START=0x3100
ROM_SIZE=0x1CEFF
INFO_START=0x1000
INFO_SIZE=0xFF
RAM_START=0x1100
RAM_SIZE=0x1FFF
VECTORS_START=FFC0
fi

if [ "${MSP430_NAME}" = "msp430x47193" ] ; then
ARCH=msp:47
ROM_START=0x2100
ROM_SIZE=0x1DEFF
INFO_START=0x1000
INFO_SIZE=0xFF
RAM_START=0x1100
RAM_SIZE=0xFFF
VECTORS_START=FFC0
fi

if [ "${MSP430_NAME}" = "msp430x47166" ] ; then
ARCH=msp:47
ROM_START=0x2100
ROM_SIZE=0x16EFF
INFO_START=0x1000
INFO_SIZE=0xFF
RAM_START=0x1100
RAM_SIZE=0xFFF
VECTORS_START=FFC0
fi

if [ "${MSP430_NAME}" = "msp430x47176" ] ; then
ARCH=msp:47
ROM_START=0x3100
ROM_SIZE=0x16EFF
INFO_START=0x1000
INFO_SIZE=0xFF
RAM_START=0x1100
RAM_SIZE=0x1FFF
VECTORS_START=FFC0
fi

if [ "${MSP430_NAME}" = "msp430x47186" ] ; then
ARCH=msp:47
ROM_START=0x3100
ROM_SIZE=0x1CEFF
INFO_START=0x1000
INFO_SIZE=0xFF
RAM_START=0x1100
RAM_SIZE=0x1FFF
VECTORS_START=FFC0
fi

if [ "${MSP430_NAME}" = "msp430x47196" ] ; then
ARCH=msp:47
ROM_START=0x2100
ROM_SIZE=0x1DEFF
INFO_START=0x1000
INFO_SIZE=0xFF
RAM_START=0x1100
RAM_SIZE=0xFFF
VECTORS_START=FFC0
fi

if [ "${MSP430_NAME}" = "msp430x47167" ] ; then
ARCH=msp:47
ROM_START=0x2100
ROM_SIZE=0x16EFF
INFO_START=0x1000
INFO_SIZE=0xFF
RAM_START=0x1100
RAM_SIZE=0xFFF
VECTORS_START=FFC0
fi

if [ "${MSP430_NAME}" = "msp430x47177" ] ; then
ARCH=msp:47
ROM_START=0x3100
ROM_SIZE=0x16EFF
INFO_START=0x1000
INFO_SIZE=0xFF
RAM_START=0x1100
RAM_SIZE=0x1FFF
VECTORS_START=FFC0
fi

if [ "${MSP430_NAME}" = "msp430x47187" ] ; then
ARCH=msp:47
ROM_START=0x3100
ROM_SIZE=0x1CEFF
INFO_START=0x1000
INFO_SIZE=0xFF
RAM_START=0x1100
RAM_SIZE=0x1FFF
VECTORS_START=FFC0
fi

if [ "${MSP430_NAME}" = "msp430x47197" ] ; then
ARCH=msp:47
ROM_START=0x2100
ROM_SIZE=0x1DEFF
INFO_START=0x1000
INFO_SIZE=0xFF
RAM_START=0x1100
RAM_SIZE=0xFFF
VECTORS_START=FFC0
fi

if [ "${MSP430_NAME}" = "msp430x4250" ] ; then
ARCH=msp:42
ROM_START=0xC000
ROM_SIZE=0x3FFF
INFO_START=0x1000
INFO_SIZE=0xFF
RAM_START=0x200
RAM_SIZE=0xFF
VECTORS_START=FFE0
fi

if [ "${MSP430_NAME}" = "msp430x4260" ] ; then
ARCH=msp:42
ROM_START=0xA000
ROM_SIZE=0x5FFF
INFO_START=0x1000
INFO_SIZE=0xFF
RAM_START=0x200
RAM_SIZE=0xFF
VECTORS_START=FFE0
fi

if [ "${MSP430_NAME}" = "msp430x4270" ] ; then
ARCH=msp:42
ROM_START=0x8000
ROM_SIZE=0x7FFF
INFO_START=0x1000
INFO_SIZE=0xFF
RAM_START=0x200
RAM_SIZE=0xFF
VECTORS_START=FFE0
fi

if [ "${MSP430_NAME}" = "msp430xg4250" ] ; then
ARCH=msp:42
ROM_START=0xC000
ROM_SIZE=0x3FFF
INFO_START=0x1000
INFO_SIZE=0xFF
RAM_START=0x200
RAM_SIZE=0xFF
VECTORS_START=FFE0
fi

if [ "${MSP430_NAME}" = "msp430xg4260" ] ; then
ARCH=msp:42
ROM_START=0xA000
ROM_SIZE=0x5FFF
INFO_START=0x1000
INFO_SIZE=0xFF
RAM_START=0x200
RAM_SIZE=0xFF
VECTORS_START=FFE0
fi

if [ "${MSP430_NAME}" = "msp430xg4270" ] ; then
ARCH=msp:42
ROM_START=0x8000
ROM_SIZE=0x7FFF
INFO_START=0x1000
INFO_SIZE=0xFF
RAM_START=0x200
RAM_SIZE=0xFF
VECTORS_START=FFE0
fi

if [ "${MSP430_NAME}" = "msp430xw423" ] ; then
ARCH=msp:42
ROM_START=0xE000
ROM_SIZE=0x1FFF
INFO_START=0x1000
INFO_SIZE=0xFF
RAM_START=0x200
RAM_SIZE=0xFF
VECTORS_START=FFE0
fi

if [ "${MSP430_NAME}" = "msp430xw425" ] ; then
ARCH=msp:42
ROM_START=0xC000
ROM_SIZE=0x3FFF
INFO_START=0x1000
INFO_SIZE=0xFF
RAM_START=0x200
RAM_SIZE=0x1FF
VECTORS_START=FFE0
fi

if [ "${MSP430_NAME}" = "msp430xw427" ] ; then
ARCH=msp:42
ROM_START=0x8000
ROM_SIZE=0x7FFF
INFO_START=0x1000
INFO_SIZE=0xFF
RAM_START=0x200
RAM_SIZE=0x3FF
VECTORS_START=FFE0
fi

if [ "${MSP430_NAME}" = "msp430xg437" ] ; then
ARCH=msp:43
ROM_START=0x8000
ROM_SIZE=0x7FFF
INFO_START=0x1000
INFO_SIZE=0xFF
RAM_START=0x200
RAM_SIZE=0x3FF
VECTORS_START=FFE0
fi

if [ "${MSP430_NAME}" = "msp430xg438" ] ; then
ARCH=msp:43
ROM_START=0x4000
ROM_SIZE=0xBFFF
INFO_START=0x1000
INFO_SIZE=0xFF
RAM_START=0x200
RAM_SIZE=0x7FF
VECTORS_START=FFE0
fi

if [ "${MSP430_NAME}" = "msp430xg439" ] ; then
ARCH=msp:43
ROM_START=0x1100
ROM_SIZE=0xEEFF
INFO_START=0x1000
INFO_SIZE=0xFF
RAM_START=0x200
RAM_SIZE=0x7FF
VECTORS_START=FFE0
fi

if [ "${MSP430_NAME}" = "msp430x438" ] ; then
ARCH=msp:43
ROM_START=0x4000
ROM_SIZE=0xBFFF
INFO_START=0x1000
INFO_SIZE=0xFF
RAM_START=0x200
RAM_SIZE=0x7FF
VECTORS_START=FFE0
fi

if [ "${MSP430_NAME}" = "msp430x439" ] ; then
ARCH=msp:43
ROM_START=0x1100
ROM_SIZE=0xEEFF
INFO_START=0x1000
INFO_SIZE=0xFF
RAM_START=0x200
RAM_SIZE=0x7FF
VECTORS_START=FFE0
fi

if [ "${MSP430_NAME}" = "msp430x477" ] ; then
ARCH=msp:47
ROM_START=0x8000
ROM_SIZE=0x7FFF
INFO_START=0x1000
INFO_SIZE=0xFF
RAM_START=0x200
RAM_SIZE=0x3FF
VECTORS_START=FFE0
fi

if [ "${MSP430_NAME}" = "msp430x478" ] ; then
ARCH=msp:47
ROM_START=0x4000
ROM_SIZE=0xBFFF
INFO_START=0x1000
INFO_SIZE=0xFF
RAM_START=0x200
RAM_SIZE=0x7FF
VECTORS_START=FFE0
fi

if [ "${MSP430_NAME}" = "msp430x479" ] ; then
ARCH=msp:47
ROM_START=0x1100
ROM_SIZE=0xEEFF
INFO_START=0x1000
INFO_SIZE=0xFF
RAM_START=0x200
RAM_SIZE=0x7FF
VECTORS_START=FFE0
fi

if [ "${MSP430_NAME}" = "msp430xg477" ] ; then
ARCH=msp:47
ROM_START=0x8000
ROM_SIZE=0x7FFF
INFO_START=0x1000
INFO_SIZE=0xFF
RAM_START=0x200
RAM_SIZE=0x3FF
VECTORS_START=FFE0
fi

if [ "${MSP430_NAME}" = "msp430xg478" ] ; then
ARCH=msp:47
ROM_START=0x4000
ROM_SIZE=0xBFFF
INFO_START=0x1000
INFO_SIZE=0xFF
RAM_START=0x200
RAM_SIZE=0x7FF
VECTORS_START=FFE0
fi

if [ "${MSP430_NAME}" = "msp430xg479" ] ; then
ARCH=msp:47
ROM_START=0x1100
ROM_SIZE=0xEEFF
INFO_START=0x1000
INFO_SIZE=0xFF
RAM_START=0x200
RAM_SIZE=0x7FF
VECTORS_START=FFE0
fi

if [ "${MSP430_NAME}" = "msp430x46161" ] ; then
ARCH=msp:46
ROM_START=0x2100
ROM_SIZE=0x16EFF
INFO_START=0x1000
INFO_SIZE=0xFF
RAM_START=0x1100
RAM_SIZE=0xFFF
VECTORS_START=FFC0
fi

if [ "${MSP430_NAME}" = "msp430x46171" ] ; then
ARCH=msp:46
ROM_START=0x3100
ROM_SIZE=0x16EFF
INFO_START=0x1000
INFO_SIZE=0xFF
RAM_START=0x1100
RAM_SIZE=0x1FFF
VECTORS_START=FFC0
fi

if [ "${MSP430_NAME}" = "msp430x46181" ] ; then
ARCH=msp:46
ROM_START=0x3100
ROM_SIZE=0x1CEFF
INFO_START=0x1000
INFO_SIZE=0xFF
RAM_START=0x1100
RAM_SIZE=0x1FFF
VECTORS_START=FFC0
fi

if [ "${MSP430_NAME}" = "msp430x46191" ] ; then
ARCH=msp:46
ROM_START=0x2100
ROM_SIZE=0x1DEFF
INFO_START=0x1000
INFO_SIZE=0xFF
RAM_START=0x1100
RAM_SIZE=0xFFF
VECTORS_START=FFC0
fi

if [ "${MSP430_NAME}" = "msp430x4616" ] ; then
ARCH=msp:46
ROM_START=0x2100
ROM_SIZE=0x16EFF
INFO_START=0x1000
INFO_SIZE=0xFF
RAM_START=0x1100
RAM_SIZE=0xFFF
VECTORS_START=FFC0
fi

if [ "${MSP430_NAME}" = "msp430x4617" ] ; then
ARCH=msp:46
ROM_START=0x3100
ROM_SIZE=0x16EFF
INFO_START=0x1000
INFO_SIZE=0xFF
RAM_START=0x1100
RAM_SIZE=0x1FFF
VECTORS_START=FFC0
fi

if [ "${MSP430_NAME}" = "msp430x4618" ] ; then
ARCH=msp:46
ROM_START=0x3100
ROM_SIZE=0x1CEFF
INFO_START=0x1000
INFO_SIZE=0xFF
RAM_START=0x1100
RAM_SIZE=0x1FFF
VECTORS_START=FFC0
fi

if [ "${MSP430_NAME}" = "msp430x4619" ] ; then
ARCH=msp:46
ROM_START=0x2100
ROM_SIZE=0x1DEFF
INFO_START=0x1000
INFO_SIZE=0xFF
RAM_START=0x1100
RAM_SIZE=0xFFF
VECTORS_START=FFC0
fi

if [ "${MSP430_NAME}" = "msp430xg4616" ] ; then
ARCH=msp:46
ROM_START=0x2100
ROM_SIZE=0x16EFF
INFO_START=0x1000
INFO_SIZE=0xFF
RAM_START=0x1100
RAM_SIZE=0xFFF
VECTORS_START=FFC0
fi

if [ "${MSP430_NAME}" = "msp430xg4617" ] ; then
ARCH=msp:46
ROM_START=0x3100
ROM_SIZE=0x16EFF
INFO_START=0x1000
INFO_SIZE=0xFF
RAM_START=0x1100
RAM_SIZE=0x1FFF
VECTORS_START=FFC0
fi

if [ "${MSP430_NAME}" = "msp430xg4618" ] ; then
ARCH=msp:46
ROM_START=0x3100
ROM_SIZE=0x1CEFF
INFO_START=0x1000
INFO_SIZE=0xFF
RAM_START=0x1100
RAM_SIZE=0x1FFF
VECTORS_START=FFC0
fi

if [ "${MSP430_NAME}" = "msp430xg4619" ] ; then
ARCH=msp:46
ROM_START=0x2100
ROM_SIZE=0x1DEFF
INFO_START=0x1000
INFO_SIZE=0xFF
RAM_START=0x1100
RAM_SIZE=0xFFF
VECTORS_START=FFC0
fi

if [ "${MSP430_NAME}" = "xms430x5438" ] ; then
ARCH=msp:54
ROM_START=0x5C00
ROM_SIZE=0x3FFFF
INFO_START=0x1800
INFO_SIZE=0x1FF
RAM_START=0x1C00
RAM_SIZE=0x3FFF
VECTORS_START=FF80
fi

if [ "${MSP430_NAME}" = "msp430x5418" ] ; then
ARCH=msp:54
ROM_START=0x5C00
ROM_SIZE=0x1FFFF
INFO_START=0x1800
INFO_SIZE=0x1FF
RAM_START=0x1C00
RAM_SIZE=0x3FFF
VECTORS_START=FF80
fi

if [ "${MSP430_NAME}" = "msp430x5419" ] ; then
ARCH=msp:54
ROM_START=0x5C00
ROM_SIZE=0x1FFFF
INFO_START=0x1800
INFO_SIZE=0x1FF
RAM_START=0x1C00
RAM_SIZE=0x3FFF
VECTORS_START=FF80
fi

if [ "${MSP430_NAME}" = "msp430x5435" ] ; then
ARCH=msp:54
ROM_START=0x5C00
ROM_SIZE=0x2FFFF
INFO_START=0x1800
INFO_SIZE=0x1FF
RAM_START=0x1C00
RAM_SIZE=0x3FFF
VECTORS_START=FF80
fi

if [ "${MSP430_NAME}" = "msp430x5436" ] ; then
ARCH=msp:54
ROM_START=0x5C00
ROM_SIZE=0x2FFFF
INFO_START=0x1800
INFO_SIZE=0x1FF
RAM_START=0x1C00
RAM_SIZE=0x3FFF
VECTORS_START=FF80
fi

if [ "${MSP430_NAME}" = "msp430x5437" ] ; then
ARCH=msp:54
ROM_START=0x5C00
ROM_SIZE=0x3FFFF
INFO_START=0x1800
INFO_SIZE=0x1FF
RAM_START=0x1C00
RAM_SIZE=0x3FFF
VECTORS_START=FF80
fi

if [ "${MSP430_NAME}" = "msp430x5438" ] ; then
ARCH=msp:54
ROM_START=0x5C00
ROM_SIZE=0x3FFFF
INFO_START=0x1800
INFO_SIZE=0x1FF
RAM_START=0x1C00
RAM_SIZE=0x3FFF
VECTORS_START=FF80
fi

if [ "${MSP430_NAME}" = "msp430x5418a" ] ; then
ARCH=msp:54
ROM_START=0x5C00
ROM_SIZE=0x1FFFF
INFO_START=0x1800
INFO_SIZE=0x1FF
RAM_START=0x1C00
RAM_SIZE=0x3FFF
VECTORS_START=FF80
fi

if [ "${MSP430_NAME}" = "msp430x5419a" ] ; then
ARCH=msp:54
ROM_START=0x5C00
ROM_SIZE=0x1FFFF
INFO_START=0x1800
INFO_SIZE=0x1FF
RAM_START=0x1C00
RAM_SIZE=0x3FFF
VECTORS_START=FF80
fi

if [ "${MSP430_NAME}" = "msp430x5435a" ] ; then
ARCH=msp:54
ROM_START=0x5C00
ROM_SIZE=0x2FFFF
INFO_START=0x1800
INFO_SIZE=0x1FF
RAM_START=0x1C00
RAM_SIZE=0x3FFF
VECTORS_START=FF80
fi

if [ "${MSP430_NAME}" = "msp430x5436a" ] ; then
ARCH=msp:54
ROM_START=0x5C00
ROM_SIZE=0x2FFFF
INFO_START=0x1800
INFO_SIZE=0x1FF
RAM_START=0x1C00
RAM_SIZE=0x3FFF
VECTORS_START=FF80
fi

if [ "${MSP430_NAME}" = "msp430x5437a" ] ; then
ARCH=msp:54
ROM_START=0x5C00
ROM_SIZE=0x3FFFF
INFO_START=0x1800
INFO_SIZE=0x1FF
RAM_START=0x1C00
RAM_SIZE=0x3FFF
VECTORS_START=FF80
fi

if [ "${MSP430_NAME}" = "msp430x5438a" ] ; then
ARCH=msp:54
ROM_START=0x5C00
ROM_SIZE=0x3FFFF
INFO_START=0x1800
INFO_SIZE=0x1FF
RAM_START=0x1C00
RAM_SIZE=0x3FFF
VECTORS_START=FF80
fi

if [ "${MSP430_NAME}" = "msp430x5510" ] ; then
ARCH=msp:55
ROM_START=0x8000
ROM_SIZE=0x7FFF
INFO_START=0x1800
INFO_SIZE=0x1FF
RAM_START=0x2400
RAM_SIZE=0xFFF
VECTORS_START=FF80
fi

if [ "${MSP430_NAME}" = "msp430x5513" ] ; then
ARCH=msp:55
ROM_START=0x8000
ROM_SIZE=0x7FFF
INFO_START=0x1800
INFO_SIZE=0x1FF
RAM_START=0x2400
RAM_SIZE=0xFFF
VECTORS_START=FF80
fi

if [ "${MSP430_NAME}" = "msp430x5514" ] ; then
ARCH=msp:55
ROM_START=0x4400
ROM_SIZE=0xFFFF
INFO_START=0x1800
INFO_SIZE=0x1FF
RAM_START=0x2400
RAM_SIZE=0xFFF
VECTORS_START=FF80
fi

if [ "${MSP430_NAME}" = "msp430x5515" ] ; then
ARCH=msp:55
ROM_START=0x4400
ROM_SIZE=0xFFFF
INFO_START=0x1800
INFO_SIZE=0x1FF
RAM_START=0x2400
RAM_SIZE=0xFFF
VECTORS_START=FF80
fi

if [ "${MSP430_NAME}" = "msp430x5517" ] ; then
ARCH=msp:55
ROM_START=0x4400
ROM_SIZE=0x17FFF
INFO_START=0x1800
INFO_SIZE=0x1FF
RAM_START=0x2400
RAM_SIZE=0x17FF
VECTORS_START=FF80
fi

if [ "${MSP430_NAME}" = "msp430x5519" ] ; then
ARCH=msp:55
ROM_START=0x4400
ROM_SIZE=0x1FFFF
INFO_START=0x1800
INFO_SIZE=0x1FF
RAM_START=0x2400
RAM_SIZE=0x1FFF
VECTORS_START=FF80
fi

if [ "${MSP430_NAME}" = "msp430x5521" ] ; then
ARCH=msp:55
ROM_START=0x8000
ROM_SIZE=0x7FFF
INFO_START=0x1800
INFO_SIZE=0x1FF
RAM_START=0x2400
RAM_SIZE=0x17FF
VECTORS_START=FF80
fi

if [ "${MSP430_NAME}" = "msp430x5522" ] ; then
ARCH=msp:55
ROM_START=0x8000
ROM_SIZE=0x7FFF
INFO_START=0x1800
INFO_SIZE=0x1FF
RAM_START=0x2400
RAM_SIZE=0x1FFF
VECTORS_START=FF80
fi

if [ "${MSP430_NAME}" = "msp430x5524" ] ; then
ARCH=msp:55
ROM_START=0x4400
ROM_SIZE=0xFFFF
INFO_START=0x1800
INFO_SIZE=0x1FF
RAM_START=0x2400
RAM_SIZE=0xFFF
VECTORS_START=FF80
fi

if [ "${MSP430_NAME}" = "msp430x5525" ] ; then
ARCH=msp:55
ROM_START=0x4400
ROM_SIZE=0xFFFF
INFO_START=0x1800
INFO_SIZE=0x1FF
RAM_START=0x2400
RAM_SIZE=0xFFF
VECTORS_START=FF80
fi

if [ "${MSP430_NAME}" = "msp430x5526" ] ; then
ARCH=msp:55
ROM_START=0x4400
ROM_SIZE=0x17FFF
INFO_START=0x1800
INFO_SIZE=0x1FF
RAM_START=0x2400
RAM_SIZE=0x17FF
VECTORS_START=FF80
fi

if [ "${MSP430_NAME}" = "msp430x5527" ] ; then
ARCH=msp:55
ROM_START=0x4400
ROM_SIZE=0x17FFF
INFO_START=0x1800
INFO_SIZE=0x1FF
RAM_START=0x2400
RAM_SIZE=0x17FF
VECTORS_START=FF80
fi

if [ "${MSP430_NAME}" = "msp430x5528" ] ; then
ARCH=msp:55
ROM_START=0x4400
ROM_SIZE=0x1FFFF
INFO_START=0x1800
INFO_SIZE=0x1FF
RAM_START=0x2400
RAM_SIZE=0x1FFF
VECTORS_START=FF80
fi

if [ "${MSP430_NAME}" = "msp430x5529" ] ; then
ARCH=msp:55
ROM_START=0x4400
ROM_SIZE=0x1FFFF
INFO_START=0x1800
INFO_SIZE=0x1FF
RAM_START=0x2400
RAM_SIZE=0x1FFF
VECTORS_START=FF80
fi

if [ "${MSP430_NAME}" = "msp430x112" ] ; then
ARCH=msp:11
ROM_START=0xF000
ROM_SIZE=0xFFF
RAM_START=0x200
RAM_SIZE=0xFF
VECTORS_START=FFE0
fi

if [ "${MSP430_NAME}" = "msp430x313" ] ; then
ARCH=msp:31
ROM_START=0xE000
ROM_SIZE=0x1FFF
RAM_START=0x200
RAM_SIZE=0xFF
VECTORS_START=FFE0
fi

if [ "${MSP430_NAME}" = "msp430x315" ] ; then
ARCH=msp:31
ROM_START=0xC000
ROM_SIZE=0x3FFF
RAM_START=0x200
RAM_SIZE=0x1FF
VECTORS_START=FFE0
fi

if [ "${MSP430_NAME}" = "msp430x315s" ] ; then
ARCH=msp:31
ROM_START=0xC000
ROM_SIZE=0x3FFF
RAM_START=0x200
RAM_SIZE=0x1FF
VECTORS_START=FFE0
fi

if [ "${MSP430_NAME}" = "msp430x325" ] ; then
ARCH=msp:32
ROM_START=0xC000
ROM_SIZE=0x3FFF
RAM_START=0x200
RAM_SIZE=0x1FF
VECTORS_START=FFE0
fi

if [ "${MSP430_NAME}" = "msp430x337" ] ; then
ARCH=msp:33
ROM_START=0x8000
ROM_SIZE=0x7FFF
RAM_START=0x200
RAM_SIZE=0x3FF
VECTORS_START=FFE0
fi

if [ "${MSP430_NAME}" = "cc430x5133" ] ; then
ARCH=msp:51
ROM_START=0xE000
ROM_SIZE=0x1FFF
INFO_START=0x1800
INFO_SIZE=0x1FF
RAM_START=0x1C00
RAM_SIZE=0x7FD
VECTORS_START=FF80
fi

if [ "${MSP430_NAME}" = "cc430x5135" ] ; then
ARCH=msp:51
ROM_START=0xC000
ROM_SIZE=0x3FFF
INFO_START=0x1800
INFO_SIZE=0x1FF
RAM_START=0x1C00
RAM_SIZE=0x7FD
VECTORS_START=FF80
fi

if [ "${MSP430_NAME}" = "cc430x5137" ] ; then
ARCH=msp:51
ROM_START=0x8000
ROM_SIZE=0x7FFF
INFO_START=0x1800
INFO_SIZE=0x1FF
RAM_START=0x1C00
RAM_SIZE=0xFFD
VECTORS_START=FF80
fi

if [ "${MSP430_NAME}" = "cc430x6125" ] ; then
ARCH=msp:61
ROM_START=0xC000
ROM_SIZE=0x3FFF
INFO_START=0x1800
INFO_SIZE=0x1FF
RAM_START=0x1C00
RAM_SIZE=0x7FD
VECTORS_START=FF80
fi

if [ "${MSP430_NAME}" = "cc430x6126" ] ; then
ARCH=msp:61
ROM_START=0x8000
ROM_SIZE=0x7FFF
INFO_START=0x1800
INFO_SIZE=0x1FF
RAM_START=0x1C00
RAM_SIZE=0x7FD
VECTORS_START=FF80
fi

if [ "${MSP430_NAME}" = "cc430x6127" ] ; then
ARCH=msp:61
ROM_START=0x8000
ROM_SIZE=0x7FFF
INFO_START=0x1800
INFO_SIZE=0x1FF
RAM_START=0x1C00
RAM_SIZE=0xFFD
VECTORS_START=FF80
fi

if [ "${MSP430_NAME}" = "cc430x6135" ] ; then
ARCH=msp:61
ROM_START=0xC000
ROM_SIZE=0x3FFF
INFO_START=0x1800
INFO_SIZE=0x1FF
RAM_START=0x1C00
RAM_SIZE=0x7FD
VECTORS_START=FF80
fi

if [ "${MSP430_NAME}" = "cc430x6137" ] ; then
ARCH=msp:61
ROM_START=0x8000
ROM_SIZE=0x7FFF
INFO_START=0x1800
INFO_SIZE=0x1FF
RAM_START=0x1C00
RAM_SIZE=0xFFD
VECTORS_START=FF80
fi

if [ "${MSP430_NAME}" = "msp430x6638" ] ; then
ARCH=msp:66
ROM_START=0x8000
ROM_SIZE=0x3FFFF
INFO_START=0x1800
INFO_SIZE=0x1FF
RAM_START=0x2430
RAM_SIZE=0x3FCF
VECTORS_START=FF80
fi

if [ "${MSP430_NAME}" = "msp430l092" ] ; then
ARCH=msp:09
ROM_START=0x1C80
ROM_SIZE=0xFFFFFFFF
INFO_START=0x1C00
INFO_SIZE=0x5F
RAM_START=0x2380
RAM_SIZE=0x7F
VECTORS_START=1C60
fi

if [ "${MSP430_NAME}" = "msp430x091" ] ; then
ARCH=msp:09
ROM_START=0xFC80
ROM_SIZE=0x37F
INFO_START=0x1C00
INFO_SIZE=0x5F
RAM_START=0x2380
RAM_SIZE=0x7F
VECTORS_START=FFE0
fi

if [ "${MSP430_NAME}" = "msp430x092" ] ; then
ARCH=msp:09
ROM_START=0xF880
ROM_SIZE=0x77F
INFO_START=0x1C00
INFO_SIZE=0x5F
RAM_START=0x2380
RAM_SIZE=0x7F
VECTORS_START=FFE0
fi

if [ "${MSP430_NAME}" = "msp430x5131" ] ; then
ARCH=msp:51
ROM_START=0xE000
ROM_SIZE=0x1FFF
INFO_START=0x1800
INFO_SIZE=0x1FF
RAM_START=0x1C00
RAM_SIZE=0x3FF
VECTORS_START=FF80
fi

if [ "${MSP430_NAME}" = "msp430x5151" ] ; then
ARCH=msp:51
ROM_START=0xC000
ROM_SIZE=0x3FFF
INFO_START=0x1800
INFO_SIZE=0x1FF
RAM_START=0x1C00
RAM_SIZE=0x7FF
VECTORS_START=FF80
fi

if [ "${MSP430_NAME}" = "msp430x5171" ] ; then
ARCH=msp:51
ROM_START=0x8000
ROM_SIZE=0x7FFF
INFO_START=0x1800
INFO_SIZE=0x1FF
RAM_START=0x1C00
RAM_SIZE=0x7FF
VECTORS_START=FF80
fi

if [ "${MSP430_NAME}" = "msp430x5132" ] ; then
ARCH=msp:51
ROM_START=0xE000
ROM_SIZE=0x1FFF
INFO_START=0x1800
INFO_SIZE=0x1FF
RAM_START=0x1C00
RAM_SIZE=0x3FF
VECTORS_START=FF80
fi

if [ "${MSP430_NAME}" = "msp430x5152" ] ; then
ARCH=msp:51
ROM_START=0xC000
ROM_SIZE=0x3FFF
INFO_START=0x1800
INFO_SIZE=0x1FF
RAM_START=0x1C00
RAM_SIZE=0x7FF
VECTORS_START=FF80
fi

if [ "${MSP430_NAME}" = "msp430x5172" ] ; then
ARCH=msp:51
ROM_START=0x8000
ROM_SIZE=0x7FFF
INFO_START=0x1800
INFO_SIZE=0x1FF
RAM_START=0x1C00
RAM_SIZE=0x7FF
VECTORS_START=FF80
fi

if [ "${MSP430_NAME}" = "msp430g2211" ] ; then
ARCH=msp:22
ROM_START=0xF800
ROM_SIZE=0x7FF
INFO_START=0x1000
INFO_SIZE=0xFF
RAM_START=0x200
RAM_SIZE=0x7F
VECTORS_START=FFE0
fi

if [ "${MSP430_NAME}" = "msp430g2201" ] ; then
ARCH=msp:22
ROM_START=0xF800
ROM_SIZE=0x7FF
INFO_START=0x1000
INFO_SIZE=0xFF
RAM_START=0x200
RAM_SIZE=0x7F
VECTORS_START=FFE0
fi

if [ "${MSP430_NAME}" = "msp430g2111" ] ; then
ARCH=msp:21
ROM_START=0xFC00
ROM_SIZE=0x3FF
INFO_START=0x1000
INFO_SIZE=0xFF
RAM_START=0x200
RAM_SIZE=0x7F
VECTORS_START=FFE0
fi

if [ "${MSP430_NAME}" = "msp430g2101" ] ; then
ARCH=msp:21
ROM_START=0xFC00
ROM_SIZE=0x3FF
INFO_START=0x1000
INFO_SIZE=0xFF
RAM_START=0x200
RAM_SIZE=0x7F
VECTORS_START=FFE0
fi

if [ "${MSP430_NAME}" = "msp430g2001" ] ; then
ARCH=msp:20
ROM_START=0xFE00
ROM_SIZE=0x1FF
INFO_START=0x1000
INFO_SIZE=0xFF
RAM_START=0x200
RAM_SIZE=0x7F
VECTORS_START=FFE0
fi

if [ "${MSP430_NAME}" = "msp430g2231" ] ; then
ARCH=msp:22
ROM_START=0xF800
ROM_SIZE=0x7FF
INFO_START=0x1000
INFO_SIZE=0xFF
RAM_START=0x200
RAM_SIZE=0x7F
VECTORS_START=FFE0
fi

if [ "${MSP430_NAME}" = "msp430g2221" ] ; then
ARCH=msp:22
ROM_START=0xF800
ROM_SIZE=0x7FF
INFO_START=0x1000
INFO_SIZE=0xFF
RAM_START=0x200
RAM_SIZE=0x7F
VECTORS_START=FFE0
fi

if [ "${MSP430_NAME}" = "msp430g2131" ] ; then
ARCH=msp:21
ROM_START=0xFC00
ROM_SIZE=0x3FF
INFO_START=0x1000
INFO_SIZE=0xFF
RAM_START=0x200
RAM_SIZE=0x7F
VECTORS_START=FFE0
fi

if [ "${MSP430_NAME}" = "msp430g2121" ] ; then
ARCH=msp:21
ROM_START=0xFC00
ROM_SIZE=0x3FF
INFO_START=0x1000
INFO_SIZE=0xFF
RAM_START=0x200
RAM_SIZE=0x7F
VECTORS_START=FFE0
fi

STACK=$(printf "0x%x" $(( RAM_START + RAM_SIZE )) )
VECTORS_SIZE=$((0x10000 - VECTORS_START))
