# Script to adapt TI-generated headers for use under GCC
#
# Apply to TI-provided files with:
#
#   sed -i -f munge.sed *430*.h
#

# Insert at top an extern "C" open scope for C++ support, and a functional
# presence preprocessor symbol to identify the build environment as coming
# from TI.
/define __[a-zA-Z]*430[a-zA-Z0-9\r]*$/a\
\
#define __MSP430_TI_HEADERS__ \
\
#ifdef __cplusplus\
extern "C" {\
#endif

# Insert at the bottom the extern "C" close scope for C++ support
/\* #ifndef __[a-zA-Z]*430[a-zA-Z0-9]* /i\
#ifdef __cplusplus\
}\
#endif /* extern "C" */\

# Wherever constants of the form N*0xHHHH appear, ensure N is unsigned
# to avoid warnings about integer expression overflow
s@\([0-9]\)\*\(0x[0-9a-fA-F][0-9a-fA-F][0-9a-fA-F][0-9a-fA-F]\)@\1U*\2@g
