#include <io.h>

int putchar (int c)
{
  static uint8_t is_initialized = 0;

  if (! is_initialized) {
    uint16_t delay;
    
#if 0
    PMAPPWD = PMAPPW;                         // Get write-access to port mapping regs  
    P1MAP6 = PM_UCA0TXD;                      // Map UCA0TXD output to P1.6
    PMAPPWD = 0;                              // Lock port mapping registers 
#endif
  
    UCA0CTL1 |= UCSWRST;                      // **Put state machine in reset**
    UCA0CTL1 |= UCSSEL__SMCLK;                // CLK = SMCLK
    UCA0BRW = 9;                              // 2^20 Hz/38400 (see User's Guide)
    UCA0MCTL = UCBRF_0 + UCBRS_1;             // Modulation UCBRSx=2, UCBRFx=0
    P1DIR |= BIT6;                            // Set P1.6 as TX output
    P1SEL |= BIT6;                            // Select P1.6 UART function
    UCA0CTL1 &= ~UCSWRST;                     // **Initialize USCI state machine**

    is_initialized = 1;
    delay = 0;
    while (++delay);
  }

  while (!(UCA0IFG&UCTXIFG)) {            // USCI_A0 TX buffer ready?
    ;
  }
  UCA0TXBUF = c;                        // TX -> next char

  return c;
}
